//
//  HavaClient.m
//  Aer
//
//  Created by kuzey on 4.06.2014.
//  Copyright (c) 2014 kuzey. All rights reserved.
//

#import "HavaClient.h"



@implementation HavaClient

static NSString * const kYahooBaseURL = @"http://query.yahooapis.com/v1/public/yql";



+(HavaClient*)sharedClient{
    static HavaClient * _sharedClient = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken , ^ {
        NSURLSessionConfiguration * config = [NSURLSessionConfiguration defaultSessionConfiguration];
        
        _sharedClient = [[HavaClient alloc] initWithBaseURL:[NSURL URLWithString:kYahooBaseURL] sessionConfiguration:config];
        
        _sharedClient.responseSerializer=[AFJSONResponseSerializer serializer];
        
    });
    
    return _sharedClient;
    
}



@end

