//
//  AerItems.m
//  Aer
//
//  Created by kuzey on 3.06.2014.
//  Copyright (c) 2014 kuzey. All rights reserved.
//

#import "AerItems.h"

@implementation AerItems


@synthesize weatherDate;
@synthesize weatherText;
@synthesize highTemp;
@synthesize lowTemp;
@synthesize weatherDay;





-(id)initWithItemDictionary:(NSDictionary *)itemDict{
    self= [ super init];
    
    [self setWeatherDate:[itemDict objectForKey:@"date"]];
    [self setWeatherDay:[itemDict objectForKey:@"day"]];
    [self setWeatherText:[itemDict objectForKey:@"text"]];
    [self setHighTemp:[itemDict objectForKey:@"high"]];
    [self setLowTemp:[itemDict objectForKey:@"low"]];
    
    return self;
}


-(NSString*)description{
    
    NSMutableString *descr = [NSMutableString new];
    
    [descr appendString:[NSString stringWithFormat:@"weatherDate: %@", [self weatherDate]]];
    [descr appendString:[NSString stringWithFormat:@"\rweatherText:%@", [self weatherText]]];
    [descr appendString:[NSString stringWithFormat:@"\rhigh:%@",[self highTemp]]];
    [descr appendString:[NSString stringWithFormat:@"\rlow:%@",[self lowTemp]]];
    [descr appendString:[NSString stringWithFormat:@"weatherDay:%@",[self weatherDay]]];
    
    return [NSString stringWithString:descr];
}



-(void)dealloc{
    
    [self setWeatherText:nil];
    [self setWeatherDate:nil];
    [self setWeatherDay:nil];
    [self setHighTemp:nil];
    [self setLowTemp:nil];
    
}


@end
